View Single Post
Old 04-30-06, 05:53 AM   #4
andrethefrog
Registered User
 
Join Date: Apr 2006
Posts: 4
Default Re: nforce network ok, sound cannot install

Ok Try this, this should work.
It is not from me, I have found it on the web
do
NFORCE-Linux-x86-1.0-0310-pkg1.run --extract-only
mv nvsound.txt NFORCE-Linux-x86-1.0-0310
cd NFORCE-Linux-x86-1.0-0310
patch -p0<./nvsound.txt
run nforce-installer

Here the link from where I got the info:
http://www.nvnews.net/vbulletin/showthread.php?t=67495

below is the patch

--- nvsound/main/conftest.sh.old 2006-01-17 15:13:03.816795328 +0100
+++ nvsound/main/conftest.sh 2006-01-17 15:14:06.446274200 +0100
@@ -12,9 +12,17 @@
OUTPUT=$3

CFLAGS="-D__KERNEL__ \
+-DKBUILD_BASENAME=\"#conftest$$\" -DKBUILD_MODNAME=\"#conftest$$\"
-nostdinc -isystem $ISYSTEM \
-Werror -Wimplicit-function-declaration"

+touch conftest$$.c
+$CC -Wno-attributes -c conftest$$.c > /dev/null 2>&1
+if [ $? -eq 0 ]; then
+ CFLAGS="$CFLAGS -Wno-attributes"
+fi
+rm -f conftest$$.*
+
if [ "$OUTPUT" != "$SOURCES" ]; then
CFLAGS="$CFLAGS -I$OUTPUT/include2 -I$OUTPUT/include \
-I$HEADERS -I$HEADERS/asm/mach-default"
andrethefrog is offline   Reply With Quote